### Method

# Aravis Buffer get_image_x

since: 0.4.0

#### Declaration [src]

    gint
    arv_buffer_get_image_x (
      ArvBuffer* buffer
    )

#### Description [src]

Gets the image x offset.

This function must only be called if buffer payload is either `ARV_BUFFER_PAYLOAD_TYPE_IMAGE`, `ARV_BUFFER_PAYLOAD_TYPE_EXTENDED_CHUNK_DATA` or `ARV_BUFFER_PAYLOAD_TYPE_MULTIPART`.

Available since: 0.4.0

#### Return value

Type: `gint`

Image x offset, in pixels.